Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create gitlab install

POST/workspaces/{organizationId}/gitlab/install
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Request body
application/json
projectIdstringrequired
projectPathstringrequired
tokenstringrequired
webhookSecretstring
Responses
200

GitLab project installed

idstringrequired
projectIdstringrequired
projectPathstringrequired
createdAtstringrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/gitlab/install' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "projectId": "string",
  "projectPath": "string",
  "token": "string",
  "webhookSecret": "string"
}'
Response
{
  "id": "string",
  "projectId": "string",
  "projectPath": "string",
  "createdAt": "string"
}

Was this page helpful?